> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Tree

> Archive an entity and all its descendants in cascade.



## OpenAPI

````yaml /openapi.json post /api/v1/boards/{board_id}/archive/{entity_type}/{entity_id}
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/boards/{board_id}/archive/{entity_type}/{entity_id}:
    post:
      tags:
        - boards
      summary: Archive Tree
      description: Archive an entity and all its descendants in cascade.
      operationId: >-
        archive_tree_api_v1_boards__board_id__archive__entity_type___entity_id__post
      parameters:
        - in: path
          name: board_id
          required: true
          schema:
            title: Board Id
            type: string
        - in: path
          name: entity_type
          required: true
          schema:
            title: Entity Type
            type: string
        - in: path
          name: entity_id
          required: true
          schema:
            title: Entity Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````